<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){	
		var kode = ID;
		$.ajax({
			type		: "POST",
			url		: "modul/salesman/cari.php",
			data	: "kode="+kode,
			dataType	: "json",
			success	: function(data){
				$("#txt_kode").val(kode);
				$("#txt_nama").val(data.nama);
				$("#txt_alamat").val(data.alamat);
				$("#txt_nomorhp").val(data.nomorhp);
				$("#info").html("Data sudah di tampung pada tab inputan, silahkan klik");
			}
		});
	}
	
	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
			var kode = ID;
			var alamat = $("#txt_alamat").val();
		
			$.ajax({
				type		: "POST",
				url		: "modul/salesman/hapus.php",
				data	: "kode="+kode,
				success	: function(data){
					$("#info").html(data);
					$("#tampil_data").load('modul/salesman/tampil_data.php');
				}
			});
		}
	}

</script>
<?php
include '../../inc/inc.koneksi.php';

echo "<table id='theList' width='100%'>
		<tr>
			<th width='2%'>No.</th>
			<th>Kode</th>
			<th>Nama Salesman</th>
			<th>Alamat</th>
			<th>Nomor HP</th>
			<th>Aksi</th>
		</tr>";
	
		$query = mysql_query("SELECT * FROM salesman ORDER BY kode_sl");
		
		$no=1;
		while($r_data=mysql_fetch_array($query)){
			echo "<tr>
				<td align='center'>$no</td>
				<td>$r_data[kode_sl]</td>
				<td>$r_data[nama]</td>
				<td>$r_data[alamat]</td>
				<td>$r_data[nomorhp]</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_data('$r_data[kode_sl]')\">
						<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' >
					</a>
					<a href='javascript:void(0)' onClick=\"hapus_data('$r_data[kode_sl]')\">
						<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' >
					</a>					
				</td>
			</tr>";
			$no++;
		}
	echo "</table>";
?>